/**
 * Actor Table
 *
 * DEFINE_ACTOR should be used for normal actors
 *    - Argument 1: Name of the actor overlay segment in the spec (without the ovl_ part)
 *    - Argument 2: Enum value for this actor
 *    - Argument 3: Allocation type (normal, permanent or absolute)
 *    - Argument 4: Actor name, as a string (used for debug prints)
 *
 * DEFINE_ACTOR_INTERNAL should be used for actors that aren't an overlay, with the same arguments as DEFINE_ACTOR
 *
 * DEFINE_ACTOR_UNSET is needed to define empty entries from the original game
 */
/* 0x0000 */ DEFINE_ACTOR_INTERNAL(Player, ACTOR_PLAYER, ACTOROVL_ALLOC_NORMAL, "Player")
/* 0x0001 */ DEFINE_ACTOR_UNSET(ACTOR_UNSET_1)
/* 0x0002 */ DEFINE_ACTOR(En_Test, ACTOR_EN_TEST, ACTOROVL_ALLOC_NORMAL, "En_Test")
/* 0x0003 */ DEFINE_ACTOR_UNSET(ACTOR_UNSET_3)
/* 0x0004 */ DEFINE_ACTOR(En_GirlA, ACTOR_EN_GIRLA, ACTOROVL_ALLOC_NORMAL, "En_GirlA")
/* 0x0005 */ DEFINE_ACTOR_UNSET(ACTOR_UNSET_5)
/* 0x0006 */ DEFINE_ACTOR_UNSET(ACTOR_UNSET_6)
/* 0x0007 */ DEFINE_ACTOR(En_Part, ACTOR_EN_PART, ACTOROVL_ALLOC_NORMAL, "En_Part")
/* 0x0008 */ DEFINE_ACTOR(En_Light, ACTOR_EN_LIGHT, ACTOROVL_ALLOC_NORMAL, "En_Light")
/* 0x0009 */ DEFINE_ACTOR(En_Door, ACTOR_EN_DOOR, ACTOROVL_ALLOC_PERSISTENT, "En_Door")
/* 0x000A */ DEFINE_ACTOR(En_Box, ACTOR_EN_BOX, ACTOROVL_ALLOC_NORMAL, "En_Box")
/* 0x000B */ DEFINE_ACTOR(Bg_Dy_Yoseizo, ACTOR_BG_DY_YOSEIZO, ACTOROVL_ALLOC_NORMAL, "Bg_Dy_Yoseizo")
/* 0x000C */ DEFINE_ACTOR(Bg_Hidan_Firewall, ACTOR_BG_HIDAN_FIREWALL, ACTOROVL_ALLOC_NORMAL, "Bg_Hidan_Firewall")
/* 0x000D */ DEFINE_ACTOR(En_Poh, ACTOR_EN_POH, ACTOROVL_ALLOC_NORMAL, "En_Poh")
/* 0x000E */ DEFINE_ACTOR(En_Okuta, ACTOR_EN_OKUTA, ACTOROVL_ALLOC_NORMAL, "En_Okuta")
/* 0x000F */ DEFINE_ACTOR(Bg_Ydan_Sp, ACTOR_BG_YDAN_SP, ACTOROVL_ALLOC_NORMAL, "Bg_Ydan_Sp")
/* 0x0010 */ DEFINE_ACTOR(En_Bom, ACTOR_EN_BOM, ACTOROVL_ALLOC_PERSISTENT, "En_Bom")
/* 0x0011 */ DEFINE_ACTOR(En_Wallmas, ACTOR_EN_WALLMAS, ACTOROVL_ALLOC_NORMAL, "En_Wallmas")
/* 0x0012 */ DEFINE_ACTOR(En_Dodongo, ACTOR_EN_DODONGO, ACTOROVL_ALLOC_NORMAL, "En_Dodongo")
/* 0x0013 */ DEFINE_ACTOR(En_Firefly, ACTOR_EN_FIREFLY, ACTOROVL_ALLOC_NORMAL, "En_Firefly")
/* 0x0014 */ DEFINE_ACTOR(En_Horse, ACTOR_EN_HORSE, ACTOROVL_ALLOC_NORMAL, "En_Horse")
/* 0x0015 */ DEFINE_ACTOR_INTERNAL(En_Item00, ACTOR_EN_ITEM00, ACTOROVL_ALLOC_NORMAL, "En_Item00")
/* 0x0016 */ DEFINE_ACTOR(En_Arrow, ACTOR_EN_ARROW, ACTOROVL_ALLOC_PERSISTENT, "En_Arrow")
/* 0x0017 */ DEFINE_ACTOR_UNSET(ACTOR_UNSET_17)
/* 0x0018 */ DEFINE_ACTOR(En_Elf, ACTOR_EN_ELF, ACTOROVL_ALLOC_NORMAL, "En_Elf")
/* 0x0019 */ DEFINE_ACTOR(En_Niw, ACTOR_EN_NIW, ACTOROVL_ALLOC_NORMAL, "En_Niw")
/* 0x001A */ DEFINE_ACTOR_UNSET(ACTOR_UNSET_1A)
/* 0x001B */ DEFINE_ACTOR(En_Tite, ACTOR_EN_TITE, ACTOROVL_ALLOC_NORMAL, "En_Tite")
/* 0x001C */ DEFINE_ACTOR(En_Reeba, ACTOR_EN_REEBA, ACTOROVL_ALLOC_NORMAL, "En_Reeba")
/* 0x001D */ DEFINE_ACTOR(En_Peehat, ACTOR_EN_PEEHAT, ACTOROVL_ALLOC_NORMAL, "En_Peehat")
/* 0x001E */ DEFINE_ACTOR(En_Butte, ACTOR_EN_BUTTE, ACTOROVL_ALLOC_NORMAL, "En_Butte")
/* 0x001F */ DEFINE_ACTOR_UNSET(ACTOR_UNSET_1F)
/* 0x0020 */ DEFINE_ACTOR(En_Insect, ACTOR_EN_INSECT, ACTOROVL_ALLOC_NORMAL, "En_Insect")
/* 0x0021 */ DEFINE_ACTOR(En_Fish, ACTOR_EN_FISH, ACTOROVL_ALLOC_NORMAL, "En_Fish")
/* 0x0022 */ DEFINE_ACTOR_UNSET(ACTOR_UNSET_22)
/* 0x0023 */ DEFINE_ACTOR(En_Holl, ACTOR_EN_HOLL, ACTOROVL_ALLOC_PERSISTENT, "En_Holl")
/* 0x0024 */ DEFINE_ACTOR(En_Scene_Change, ACTOR_EN_SCENE_CHANGE, ACTOROVL_ALLOC_NORMAL, "En_Scene_Change")
/* 0x0025 */ DEFINE_ACTOR(En_Zf, ACTOR_EN_ZF, ACTOROVL_ALLOC_NORMAL, "En_Zf")
/* 0x0026 */ DEFINE_ACTOR(En_Hata, ACTOR_EN_HATA, ACTOROVL_ALLOC_NORMAL, "En_Hata")
/* 0x0027 */ DEFINE_ACTOR(Boss_Dodongo, ACTOR_BOSS_DODONGO, ACTOROVL_ALLOC_NORMAL, "Boss_Dodongo")
/* 0x0028 */ DEFINE_ACTOR(Boss_Goma, ACTOR_BOSS_GOMA, ACTOROVL_ALLOC_NORMAL, "Boss_Goma")
/* 0x0029 */ DEFINE_ACTOR(En_Zl1, ACTOR_EN_ZL1, ACTOROVL_ALLOC_NORMAL, "En_Zl1")
/* 0x002A */ DEFINE_ACTOR(En_Viewer, ACTOR_EN_VIEWER, ACTOROVL_ALLOC_NORMAL, "En_Viewer")
/* 0x002B */ DEFINE_ACTOR(En_Goma, ACTOR_EN_GOMA, ACTOROVL_ALLOC_NORMAL, "En_Goma")
/* 0x002C */ DEFINE_ACTOR(Bg_Pushbox, ACTOR_BG_PUSHBOX, ACTOROVL_ALLOC_NORMAL, "Bg_Pushbox")
/* 0x002D */ DEFINE_ACTOR(En_Bubble, ACTOR_EN_BUBBLE, ACTOROVL_ALLOC_NORMAL, "En_Bubble")
/* 0x002E */ DEFINE_ACTOR(Door_Shutter, ACTOR_DOOR_SHUTTER, ACTOROVL_ALLOC_PERSISTENT, "Door_Shutter")
/* 0x002F */ DEFINE_ACTOR(En_Dodojr, ACTOR_EN_DODOJR, ACTOROVL_ALLOC_NORMAL, "En_Dodojr")
/* 0x0030 */ DEFINE_ACTOR(En_Bdfire, ACTOR_EN_BDFIRE, ACTOROVL_ALLOC_NORMAL, "En_Bdfire")
/* 0x0031 */ DEFINE_ACTOR_UNSET(ACTOR_UNSET_31)
/* 0x0032 */ DEFINE_ACTOR(En_Boom, ACTOR_EN_BOOM, ACTOROVL_ALLOC_PERSISTENT, "En_Boom")
/* 0x0033 */ DEFINE_ACTOR(En_Torch2, ACTOR_EN_TORCH2, ACTOROVL_ALLOC_NORMAL, "En_Torch2")
/* 0x0034 */ DEFINE_ACTOR(En_Bili, ACTOR_EN_BILI, ACTOROVL_ALLOC_NORMAL, "En_Bili")
/* 0x0035 */ DEFINE_ACTOR(En_Tp, ACTOR_EN_TP, ACTOROVL_ALLOC_NORMAL, "En_Tp")
/* 0x0036 */ DEFINE_ACTOR_UNSET(ACTOR_UNSET_36)
/* 0x0037 */ DEFINE_ACTOR(En_St, ACTOR_EN_ST, ACTOROVL_ALLOC_NORMAL, "En_St")
/* 0x0038 */ DEFINE_ACTOR(En_Bw, ACTOR_EN_BW, ACTOROVL_ALLOC_NORMAL, "En_Bw")
/* 0x0039 */ DEFINE_ACTOR_INTERNAL(En_A_Obj, ACTOR_EN_A_OBJ, ACTOROVL_ALLOC_NORMAL, "En_A_Obj")
/* 0x003A */ DEFINE_ACTOR(En_Eiyer, ACTOR_EN_EIYER, ACTOROVL_ALLOC_NORMAL, "En_Eiyer")
/* 0x003B */ DEFINE_ACTOR(En_River_Sound, ACTOR_EN_RIVER_SOUND, ACTOROVL_ALLOC_NORMAL, "En_River_Sound")
/* 0x003C */ DEFINE_ACTOR(En_Horse_Normal, ACTOR_EN_HORSE_NORMAL, ACTOROVL_ALLOC_NORMAL, "En_Horse_Normal")
/* 0x003D */ DEFINE_ACTOR(En_Ossan, ACTOR_EN_OSSAN, ACTOROVL_ALLOC_NORMAL, "En_Ossan")
/* 0x003E */ DEFINE_ACTOR(Bg_Treemouth, ACTOR_BG_TREEMOUTH, ACTOROVL_ALLOC_NORMAL, "Bg_Treemouth")
/* 0x003F */ DEFINE_ACTOR(Bg_Dodoago, ACTOR_BG_DODOAGO, ACTOROVL_ALLOC_NORMAL, "Bg_Dodoago")
/* 0x0040 */ DEFINE_ACTOR(Bg_Hidan_Dalm, ACTOR_BG_HIDAN_DALM, ACTOROVL_ALLOC_NORMAL, "Bg_Hidan_Dalm")
/* 0x0041 */ DEFINE_ACTOR(Bg_Hidan_Hrock, ACTOR_BG_HIDAN_HROCK, ACTOROVL_ALLOC_NORMAL, "Bg_Hidan_Hrock")
/* 0x0042 */ DEFINE_ACTOR(En_Horse_Ganon, ACTOR_EN_HORSE_GANON, ACTOROVL_ALLOC_NORMAL, "En_Horse_Ganon")
/* 0x0043 */ DEFINE_ACTOR(Bg_Hidan_Rock, ACTOR_BG_HIDAN_ROCK, ACTOROVL_ALLOC_NORMAL, "Bg_Hidan_Rock")
/* 0x0044 */ DEFINE_ACTOR(Bg_Hidan_Rsekizou, ACTOR_BG_HIDAN_RSEKIZOU, ACTOROVL_ALLOC_NORMAL, "Bg_Hidan_Rsekizou")
/* 0x0045 */ DEFINE_ACTOR(Bg_Hidan_Sekizou, ACTOR_BG_HIDAN_SEKIZOU, ACTOROVL_ALLOC_NORMAL, "Bg_Hidan_Sekizou")
/* 0x0046 */ DEFINE_ACTOR(Bg_Hidan_Sima, ACTOR_BG_HIDAN_SIMA, ACTOROVL_ALLOC_NORMAL, "Bg_Hidan_Sima")
/* 0x0047 */ DEFINE_ACTOR(Bg_Hidan_Syoku, ACTOR_BG_HIDAN_SYOKU, ACTOROVL_ALLOC_NORMAL, "Bg_Hidan_Syoku")
/* 0x0048 */ DEFINE_ACTOR(En_Xc, ACTOR_EN_XC, ACTOROVL_ALLOC_NORMAL, "En_Xc")
/* 0x0049 */ DEFINE_ACTOR(Bg_Hidan_Curtain, ACTOR_BG_HIDAN_CURTAIN, ACTOROVL_ALLOC_NORMAL, "Bg_Hidan_Curtain")
/* 0x004A */ DEFINE_ACTOR(Bg_Spot00_Hanebasi, ACTOR_BG_SPOT00_HANEBASI, ACTOROVL_ALLOC_NORMAL, "Bg_Spot00_Hanebasi")
/* 0x004B */ DEFINE_ACTOR(En_Mb, ACTOR_EN_MB, ACTOROVL_ALLOC_NORMAL, "En_Mb")
/* 0x004C */ DEFINE_ACTOR(En_Bombf, ACTOR_EN_BOMBF, ACTOROVL_ALLOC_NORMAL, "En_Bombf")
/* 0x004D */ DEFINE_ACTOR(En_Zl2, ACTOR_EN_ZL2, ACTOROVL_ALLOC_NORMAL, "En_Zl2")
/* 0x004E */ DEFINE_ACTOR(Bg_Hidan_Fslift, ACTOR_BG_HIDAN_FSLIFT, ACTOROVL_ALLOC_NORMAL, "Bg_Hidan_Fslift")
/* 0x004F */ DEFINE_ACTOR(En_OE2, ACTOR_EN_OE2, ACTOROVL_ALLOC_NORMAL, "En_OE2")
/* 0x0050 */ DEFINE_ACTOR(Bg_Ydan_Hasi, ACTOR_BG_YDAN_HASI, ACTOROVL_ALLOC_NORMAL, "Bg_Ydan_Hasi")
/* 0x0051 */ DEFINE_ACTOR(Bg_Ydan_Maruta, ACTOR_BG_YDAN_MARUTA, ACTOROVL_ALLOC_NORMAL, "Bg_Ydan_Maruta")
/* 0x0052 */ DEFINE_ACTOR(Boss_Ganondrof, ACTOR_BOSS_GANONDROF, ACTOROVL_ALLOC_NORMAL, "Boss_Ganondrof")
/* 0x0053 */ DEFINE_ACTOR_UNSET(ACTOR_UNSET_53)
/* 0x0054 */ DEFINE_ACTOR(En_Am, ACTOR_EN_AM, ACTOROVL_ALLOC_NORMAL, "En_Am")
/* 0x0055 */ DEFINE_ACTOR(En_Dekubaba, ACTOR_EN_DEKUBABA, ACTOROVL_ALLOC_NORMAL, "En_Dekubaba")
/* 0x0056 */ DEFINE_ACTOR(En_M_Fire1, ACTOR_EN_M_FIRE1, ACTOROVL_ALLOC_PERSISTENT, "En_M_Fire1")
/* 0x0057 */ DEFINE_ACTOR(En_M_Thunder, ACTOR_EN_M_THUNDER, ACTOROVL_ALLOC_PERSISTENT, "En_M_Thunder")
/* 0x0058 */ DEFINE_ACTOR(Bg_Ddan_Jd, ACTOR_BG_DDAN_JD, ACTOROVL_ALLOC_NORMAL, "Bg_Ddan_Jd")
/* 0x0059 */ DEFINE_ACTOR(Bg_Breakwall, ACTOR_BG_BREAKWALL, ACTOROVL_ALLOC_NORMAL, "Bg_Breakwall")
/* 0x005A */ DEFINE_ACTOR(En_Jj, ACTOR_EN_JJ, ACTOROVL_ALLOC_NORMAL, "En_Jj")
/* 0x005B */ DEFINE_ACTOR(En_Horse_Zelda, ACTOR_EN_HORSE_ZELDA, ACTOROVL_ALLOC_NORMAL, "En_Horse_Zelda")
/* 0x005C */ DEFINE_ACTOR(Bg_Ddan_Kd, ACTOR_BG_DDAN_KD, ACTOROVL_ALLOC_NORMAL, "Bg_Ddan_Kd")
/* 0x005D */ DEFINE_ACTOR(Door_Warp1, ACTOR_DOOR_WARP1, ACTOROVL_ALLOC_NORMAL, "Door_Warp1")
/* 0x005E */ DEFINE_ACTOR(Obj_Syokudai, ACTOR_OBJ_SYOKUDAI, ACTOROVL_ALLOC_NORMAL, "Obj_Syokudai")
/* 0x005F */ DEFINE_ACTOR(Item_B_Heart, ACTOR_ITEM_B_HEART, ACTOROVL_ALLOC_NORMAL, "Item_B_Heart")
/* 0x0060 */ DEFINE_ACTOR(En_Dekunuts, ACTOR_EN_DEKUNUTS, ACTOROVL_ALLOC_NORMAL, "En_Dekunuts")
/* 0x0061 */ DEFINE_ACTOR(Bg_Menkuri_Kaiten, ACTOR_BG_MENKURI_KAITEN, ACTOROVL_ALLOC_NORMAL, "Bg_Menkuri_Kaiten")
/* 0x0062 */ DEFINE_ACTOR(Bg_Menkuri_Eye, ACTOR_BG_MENKURI_EYE, ACTOROVL_ALLOC_NORMAL, "Bg_Menkuri_Eye")
/* 0x0063 */ DEFINE_ACTOR(En_Vali, ACTOR_EN_VALI, ACTOROVL_ALLOC_NORMAL, "En_Vali")
/* 0x0064 */ DEFINE_ACTOR(Bg_Mizu_Movebg, ACTOR_BG_MIZU_MOVEBG, ACTOROVL_ALLOC_NORMAL, "Bg_Mizu_Movebg")
/* 0x0065 */ DEFINE_ACTOR(Bg_Mizu_Water, ACTOR_BG_MIZU_WATER, ACTOROVL_ALLOC_NORMAL, "Bg_Mizu_Water")
/* 0x0066 */ DEFINE_ACTOR(Arms_Hook, ACTOR_ARMS_HOOK, ACTOROVL_ALLOC_PERSISTENT, "Arms_Hook")
/* 0x0067 */ DEFINE_ACTOR(En_fHG, ACTOR_EN_FHG, ACTOROVL_ALLOC_NORMAL, "En_fHG")
/* 0x0068 */ DEFINE_ACTOR(Bg_Mori_Hineri, ACTOR_BG_MORI_HINERI, ACTOROVL_ALLOC_NORMAL, "Bg_Mori_Hineri")
/* 0x0069 */ DEFINE_ACTOR(En_Bb, ACTOR_EN_BB, ACTOROVL_ALLOC_NORMAL, "En_Bb")
/* 0x006A */ DEFINE_ACTOR(Bg_Toki_Hikari, ACTOR_BG_TOKI_HIKARI, ACTOROVL_ALLOC_NORMAL, "Bg_Toki_Hikari")
/* 0x006B */ DEFINE_ACTOR(En_Yukabyun, ACTOR_EN_YUKABYUN, ACTOROVL_ALLOC_NORMAL, "En_Yukabyun")
/* 0x006C */ DEFINE_ACTOR(Bg_Toki_Swd, ACTOR_BG_TOKI_SWD, ACTOROVL_ALLOC_NORMAL, "Bg_Toki_Swd")
/* 0x006D */ DEFINE_ACTOR(En_Fhg_Fire, ACTOR_EN_FHG_FIRE, ACTOROVL_ALLOC_NORMAL, "En_Fhg_Fire")
/* 0x006E */ DEFINE_ACTOR(Bg_Mjin, ACTOR_BG_MJIN, ACTOROVL_ALLOC_NORMAL, "Bg_Mjin")
/* 0x006F */ DEFINE_ACTOR(Bg_Hidan_Kousi, ACTOR_BG_HIDAN_KOUSI, ACTOROVL_ALLOC_NORMAL, "Bg_Hidan_Kousi")
/* 0x0070 */ DEFINE_ACTOR(Door_Toki, ACTOR_DOOR_TOKI, ACTOROVL_ALLOC_NORMAL, "Door_Toki")
/* 0x0071 */ DEFINE_ACTOR(Bg_Hidan_Hamstep, ACTOR_BG_HIDAN_HAMSTEP, ACTOROVL_ALLOC_NORMAL, "Bg_Hidan_Hamstep")
/* 0x0072 */ DEFINE_ACTOR(En_Bird, ACTOR_EN_BIRD, ACTOROVL_ALLOC_NORMAL, "En_Bird")
/* 0x0073 */ DEFINE_ACTOR_UNSET(ACTOR_UNSET_73)
/* 0x0074 */ DEFINE_ACTOR_UNSET(ACTOR_UNSET_74)
/* 0x0075 */ DEFINE_ACTOR_UNSET(ACTOR_UNSET_75)
/* 0x0076 */ DEFINE_ACTOR_UNSET(ACTOR_UNSET_76)
/* 0x0077 */ DEFINE_ACTOR(En_Wood02, ACTOR_EN_WOOD02, ACTOROVL_ALLOC_NORMAL, "En_Wood02")
/* 0x0078 */ DEFINE_ACTOR_UNSET(ACTOR_UNSET_78)
/* 0x0079 */ DEFINE_ACTOR_UNSET(ACTOR_UNSET_79)
/* 0x007A */ DEFINE_ACTOR_UNSET(ACTOR_UNSET_7A)
/* 0x007B */ DEFINE_ACTOR_UNSET(ACTOR_UNSET_7B)
/* 0x007C */ DEFINE_ACTOR(En_Lightbox, ACTOR_EN_LIGHTBOX, ACTOROVL_ALLOC_NORMAL, "En_Lightbox")
/* 0x007D */ DEFINE_ACTOR(En_Pu_box, ACTOR_EN_PU_BOX, ACTOROVL_ALLOC_NORMAL, "En_Pu_box")
/* 0x007E */ DEFINE_ACTOR_UNSET(ACTOR_UNSET_7E)
/* 0x007F */ DEFINE_ACTOR_UNSET(ACTOR_UNSET_7F)
/* 0x0080 */ DEFINE_ACTOR(En_Trap, ACTOR_EN_TRAP, ACTOROVL_ALLOC_NORMAL, "En_Trap")
/* 0x0081 */ DEFINE_ACTOR(En_Arow_Trap, ACTOR_EN_AROW_TRAP, ACTOROVL_ALLOC_NORMAL, "En_Arow_Trap")
/* 0x0082 */ DEFINE_ACTOR(En_Vase, ACTOR_EN_VASE, ACTOROVL_ALLOC_NORMAL, "En_Vase")
/* 0x0083 */ DEFINE_ACTOR_UNSET(ACTOR_UNSET_83)
/* 0x0084 */ DEFINE_ACTOR(En_Ta, ACTOR_EN_TA, ACTOROVL_ALLOC_NORMAL, "En_Ta")
/* 0x0085 */ DEFINE_ACTOR(En_Tk, ACTOR_EN_TK, ACTOROVL_ALLOC_NORMAL, "En_Tk")
/* 0x0086 */ DEFINE_ACTOR(Bg_Mori_Bigst, ACTOR_BG_MORI_BIGST, ACTOROVL_ALLOC_NORMAL, "Bg_Mori_Bigst")
/* 0x0087 */ DEFINE_ACTOR(Bg_Mori_Elevator, ACTOR_BG_MORI_ELEVATOR, ACTOROVL_ALLOC_NORMAL, "Bg_Mori_Elevator")
/* 0x0088 */ DEFINE_ACTOR(Bg_Mori_Kaitenkabe, ACTOR_BG_MORI_KAITENKABE, ACTOROVL_ALLOC_NORMAL, "Bg_Mori_Kaitenkabe")
/* 0x0089 */ DEFINE_ACTOR(Bg_Mori_Rakkatenjo, ACTOR_BG_MORI_RAKKATENJO, ACTOROVL_ALLOC_NORMAL, "Bg_Mori_Rakkatenjo")
/* 0x008A */ DEFINE_ACTOR(En_Vm, ACTOR_EN_VM, ACTOROVL_ALLOC_NORMAL, "En_Vm")
/* 0x008B */ DEFINE_ACTOR(Demo_Effect, ACTOR_DEMO_EFFECT, ACTOROVL_ALLOC_NORMAL, "Demo_Effect")
/* 0x008C */ DEFINE_ACTOR(Demo_Kankyo, ACTOR_DEMO_KANKYO, ACTOROVL_ALLOC_NORMAL, "Demo_Kankyo")
/* 0x008D */ DEFINE_ACTOR(Bg_Hidan_Fwbig, ACTOR_BG_HIDAN_FWBIG, ACTOROVL_ALLOC_NORMAL, "Bg_Hidan_Fwbig")
/* 0x008E */ DEFINE_ACTOR(En_Floormas, ACTOR_EN_FLOORMAS, ACTOROVL_ALLOC_NORMAL, "En_Floormas")
/* 0x008F */ DEFINE_ACTOR(En_Heishi1, ACTOR_EN_HEISHI1, ACTOROVL_ALLOC_NORMAL, "En_Heishi1")
/* 0x0090 */ DEFINE_ACTOR(En_Rd, ACTOR_EN_RD, ACTOROVL_ALLOC_NORMAL, "En_Rd")
/* 0x0091 */ DEFINE_ACTOR(En_Po_Sisters, ACTOR_EN_PO_SISTERS, ACTOROVL_ALLOC_NORMAL, "En_Po_Sisters")
/* 0x0092 */ DEFINE_ACTOR(Bg_Heavy_Block, ACTOR_BG_HEAVY_BLOCK, ACTOROVL_ALLOC_NORMAL, "Bg_Heavy_Block")
/* 0x0093 */ DEFINE_ACTOR(Bg_Po_Event, ACTOR_BG_PO_EVENT, ACTOROVL_ALLOC_NORMAL, "Bg_Po_Event")
/* 0x0094 */ DEFINE_ACTOR(Obj_Mure, ACTOR_OBJ_MURE, ACTOROVL_ALLOC_NORMAL, "Obj_Mure")
/* 0x0095 */ DEFINE_ACTOR(En_Sw, ACTOR_EN_SW, ACTOROVL_ALLOC_NORMAL, "En_Sw")
/* 0x0096 */ DEFINE_ACTOR(Boss_Fd, ACTOR_BOSS_FD, ACTOROVL_ALLOC_NORMAL, "Boss_Fd")
/* 0x0097 */ DEFINE_ACTOR(Object_Kankyo, ACTOR_OBJECT_KANKYO, ACTOROVL_ALLOC_NORMAL, "Object_Kankyo")
/* 0x0098 */ DEFINE_ACTOR(En_Du, ACTOR_EN_DU, ACTOROVL_ALLOC_NORMAL, "En_Du")
/* 0x0099 */ DEFINE_ACTOR(En_Fd, ACTOR_EN_FD, ACTOROVL_ALLOC_NORMAL, "En_Fd")
/* 0x009A */ DEFINE_ACTOR(En_Horse_Link_Child, ACTOR_EN_HORSE_LINK_CHILD, ACTOROVL_ALLOC_NORMAL, "En_Horse_Link_Child")
/* 0x009B */ DEFINE_ACTOR(Door_Ana, ACTOR_DOOR_ANA, ACTOROVL_ALLOC_NORMAL, "Door_Ana")
/* 0x009C */ DEFINE_ACTOR(Bg_Spot02_Objects, ACTOR_BG_SPOT02_OBJECTS, ACTOROVL_ALLOC_NORMAL, "Bg_Spot02_Objects")
/* 0x009D */ DEFINE_ACTOR(Bg_Haka, ACTOR_BG_HAKA, ACTOROVL_ALLOC_NORMAL, "Bg_Haka")
/* 0x009E */ DEFINE_ACTOR(Magic_Wind, ACTOR_MAGIC_WIND, ACTOROVL_ALLOC_ABSOLUTE, "Magic_Wind")
/* 0x009F */ DEFINE_ACTOR(Magic_Fire, ACTOR_MAGIC_FIRE, ACTOROVL_ALLOC_ABSOLUTE, "Magic_Fire")
/* 0x00A0 */ DEFINE_ACTOR_UNSET(ACTOR_UNSET_A0)
/* 0x00A1 */ DEFINE_ACTOR(En_Ru1, ACTOR_EN_RU1, ACTOROVL_ALLOC_NORMAL, "En_Ru1")
/* 0x00A2 */ DEFINE_ACTOR(Boss_Fd2, ACTOR_BOSS_FD2, ACTOROVL_ALLOC_NORMAL, "Boss_Fd2")
/* 0x00A3 */ DEFINE_ACTOR(En_Fd_Fire, ACTOR_EN_FD_FIRE, ACTOROVL_ALLOC_NORMAL, "En_Fd_Fire")
/* 0x00A4 */ DEFINE_ACTOR(En_Dh, ACTOR_EN_DH, ACTOROVL_ALLOC_NORMAL, "En_Dh")
/* 0x00A5 */ DEFINE_ACTOR(En_Dha, ACTOR_EN_DHA, ACTOROVL_ALLOC_NORMAL, "En_Dha")
/* 0x00A6 */ DEFINE_ACTOR(En_Rl, ACTOR_EN_RL, ACTOROVL_ALLOC_NORMAL, "En_Rl")
/* 0x00A7 */ DEFINE_ACTOR(En_Encount1, ACTOR_EN_ENCOUNT1, ACTOROVL_ALLOC_NORMAL, "En_Encount1")
/* 0x00A8 */ DEFINE_ACTOR(Demo_Du, ACTOR_DEMO_DU, ACTOROVL_ALLOC_NORMAL, "Demo_Du")
/* 0x00A9 */ DEFINE_ACTOR(Demo_Im, ACTOR_DEMO_IM, ACTOROVL_ALLOC_NORMAL, "Demo_Im")
/* 0x00AA */ DEFINE_ACTOR(Demo_Tre_Lgt, ACTOR_DEMO_TRE_LGT, ACTOROVL_ALLOC_NORMAL, "Demo_Tre_Lgt")
/* 0x00AB */ DEFINE_ACTOR(En_Fw, ACTOR_EN_FW, ACTOROVL_ALLOC_NORMAL, "En_Fw")
/* 0x00AC */ DEFINE_ACTOR(Bg_Vb_Sima, ACTOR_BG_VB_SIMA, ACTOROVL_ALLOC_NORMAL, "Bg_Vb_Sima")
/* 0x00AD */ DEFINE_ACTOR(En_Vb_Ball, ACTOR_EN_VB_BALL, ACTOROVL_ALLOC_NORMAL, "En_Vb_Ball")
/* 0x00AE */ DEFINE_ACTOR(Bg_Haka_Megane, ACTOR_BG_HAKA_MEGANE, ACTOROVL_ALLOC_NORMAL, "Bg_Haka_Megane")
/* 0x00AF */ DEFINE_ACTOR(Bg_Haka_MeganeBG, ACTOR_BG_HAKA_MEGANEBG, ACTOROVL_ALLOC_NORMAL, "Bg_Haka_MeganeBG")
/* 0x00B0 */ DEFINE_ACTOR(Bg_Haka_Ship, ACTOR_BG_HAKA_SHIP, ACTOROVL_ALLOC_NORMAL, "Bg_Haka_Ship")
/* 0x00B1 */ DEFINE_ACTOR(Bg_Haka_Sgami, ACTOR_BG_HAKA_SGAMI, ACTOROVL_ALLOC_NORMAL, "Bg_Haka_Sgami")
/* 0x00B2 */ DEFINE_ACTOR_UNSET(ACTOR_UNSET_B2)
/* 0x00B3 */ DEFINE_ACTOR(En_Heishi2, ACTOR_EN_HEISHI2, ACTOROVL_ALLOC_NORMAL, "En_Heishi2")
/* 0x00B4 */ DEFINE_ACTOR(En_Encount2, ACTOR_EN_ENCOUNT2, ACTOROVL_ALLOC_NORMAL, "En_Encount2")
/* 0x00B5 */ DEFINE_ACTOR(En_Fire_Rock, ACTOR_EN_FIRE_ROCK, ACTOROVL_ALLOC_NORMAL, "En_Fire_Rock")
/* 0x00B6 */ DEFINE_ACTOR(En_Brob, ACTOR_EN_BROB, ACTOROVL_ALLOC_NORMAL, "En_Brob")
/* 0x00B7 */ DEFINE_ACTOR(Mir_Ray, ACTOR_MIR_RAY, ACTOROVL_ALLOC_NORMAL, "Mir_Ray")
/* 0x00B8 */ DEFINE_ACTOR(Bg_Spot09_Obj, ACTOR_BG_SPOT09_OBJ, ACTOROVL_ALLOC_NORMAL, "Bg_Spot09_Obj")
/* 0x00B9 */ DEFINE_ACTOR(Bg_Spot18_Obj, ACTOR_BG_SPOT18_OBJ, ACTOROVL_ALLOC_NORMAL, "Bg_Spot18_Obj")
/* 0x00BA */ DEFINE_ACTOR(Boss_Va, ACTOR_BOSS_VA, ACTOROVL_ALLOC_NORMAL, "Boss_Va")
/* 0x00BB */ DEFINE_ACTOR(Bg_Haka_Tubo, ACTOR_BG_HAKA_TUBO, ACTOROVL_ALLOC_NORMAL, "Bg_Haka_Tubo")
/* 0x00BC */ DEFINE_ACTOR(Bg_Haka_Trap, ACTOR_BG_HAKA_TRAP, ACTOROVL_ALLOC_NORMAL, "Bg_Haka_Trap")
/* 0x00BD */ DEFINE_ACTOR(Bg_Haka_Huta, ACTOR_BG_HAKA_HUTA, ACTOROVL_ALLOC_NORMAL, "Bg_Haka_Huta")
/* 0x00BE */ DEFINE_ACTOR(Bg_Haka_Zou, ACTOR_BG_HAKA_ZOU, ACTOROVL_ALLOC_NORMAL, "Bg_Haka_Zou")
/* 0x00BF */ DEFINE_ACTOR(Bg_Spot17_Funen, ACTOR_BG_SPOT17_FUNEN, ACTOROVL_ALLOC_NORMAL, "Bg_Spot17_Funen")
/* 0x00C0 */ DEFINE_ACTOR(En_Syateki_Itm, ACTOR_EN_SYATEKI_ITM, ACTOROVL_ALLOC_NORMAL, "En_Syateki_Itm")
/* 0x00C1 */ DEFINE_ACTOR(En_Syateki_Man, ACTOR_EN_SYATEKI_MAN, ACTOROVL_ALLOC_NORMAL, "En_Syateki_Man")
/* 0x00C2 */ DEFINE_ACTOR(En_Tana, ACTOR_EN_TANA, ACTOROVL_ALLOC_NORMAL, "En_Tana")
/* 0x00C3 */ DEFINE_ACTOR(En_Nb, ACTOR_EN_NB, ACTOROVL_ALLOC_NORMAL, "En_Nb")
/* 0x00C4 */ DEFINE_ACTOR(Boss_Mo, ACTOR_BOSS_MO, ACTOROVL_ALLOC_NORMAL, "Boss_Mo")
/* 0x00C5 */ DEFINE_ACTOR(En_Sb, ACTOR_EN_SB, ACTOROVL_ALLOC_NORMAL, "En_Sb")
/* 0x00C6 */ DEFINE_ACTOR(En_Bigokuta, ACTOR_EN_BIGOKUTA, ACTOROVL_ALLOC_NORMAL, "En_Bigokuta")
/* 0x00C7 */ DEFINE_ACTOR(En_Karebaba, ACTOR_EN_KAREBABA, ACTOROVL_ALLOC_NORMAL, "En_Karebaba")
/* 0x00C8 */ DEFINE_ACTOR(Bg_Bdan_Objects, ACTOR_BG_BDAN_OBJECTS, ACTOROVL_ALLOC_NORMAL, "Bg_Bdan_Objects")
/* 0x00C9 */ DEFINE_ACTOR(Demo_Sa, ACTOR_DEMO_SA, ACTOROVL_ALLOC_NORMAL, "Demo_Sa")
/* 0x00CA */ DEFINE_ACTOR(Demo_Go, ACTOR_DEMO_GO, ACTOROVL_ALLOC_NORMAL, "Demo_Go")
/* 0x00CB */ DEFINE_ACTOR(En_In, ACTOR_EN_IN, ACTOROVL_ALLOC_NORMAL, "En_In")
/* 0x00CC */ DEFINE_ACTOR(En_Tr, ACTOR_EN_TR, ACTOROVL_ALLOC_NORMAL, "En_Tr")
/* 0x00CD */ DEFINE_ACTOR(Bg_Spot16_Bombstone, ACTOR_BG_SPOT16_BOMBSTONE, ACTOROVL_ALLOC_NORMAL, "Bg_Spot16_Bombstone")
/* 0x00CE */ DEFINE_ACTOR_UNSET(ACTOR_UNSET_CE)
/* 0x00CF */ DEFINE_ACTOR(Bg_Hidan_Kowarerukabe, ACTOR_BG_HIDAN_KOWARERUKABE, ACTOROVL_ALLOC_NORMAL, "Bg_Hidan_Kowarerukabe")
/* 0x00D0 */ DEFINE_ACTOR(Bg_Bombwall, ACTOR_BG_BOMBWALL, ACTOROVL_ALLOC_NORMAL, "Bg_Bombwall")
/* 0x00D1 */ DEFINE_ACTOR(Bg_Spot08_Iceblock, ACTOR_BG_SPOT08_ICEBLOCK, ACTOROVL_ALLOC_NORMAL, "Bg_Spot08_Iceblock")
/* 0x00D2 */ DEFINE_ACTOR(En_Ru2, ACTOR_EN_RU2, ACTOROVL_ALLOC_NORMAL, "En_Ru2")
/* 0x00D3 */ DEFINE_ACTOR(Obj_Dekujr, ACTOR_OBJ_DEKUJR, ACTOROVL_ALLOC_NORMAL, "Obj_Dekujr")
/* 0x00D4 */ DEFINE_ACTOR(Bg_Mizu_Uzu, ACTOR_BG_MIZU_UZU, ACTOROVL_ALLOC_NORMAL, "Bg_Mizu_Uzu")
/* 0x00D5 */ DEFINE_ACTOR(Bg_Spot06_Objects, ACTOR_BG_SPOT06_OBJECTS, ACTOROVL_ALLOC_NORMAL, "Bg_Spot06_Objects")
/* 0x00D6 */ DEFINE_ACTOR(Bg_Ice_Objects, ACTOR_BG_ICE_OBJECTS, ACTOROVL_ALLOC_NORMAL, "Bg_Ice_Objects")
/* 0x00D7 */ DEFINE_ACTOR(Bg_Haka_Water, ACTOR_BG_HAKA_WATER, ACTOROVL_ALLOC_NORMAL, "Bg_Haka_Water")
/* 0x00D8 */ DEFINE_ACTOR_UNSET(ACTOR_UNSET_D8)
/* 0x00D9 */ DEFINE_ACTOR(En_Ma2, ACTOR_EN_MA2, ACTOROVL_ALLOC_NORMAL, "En_Ma2")
/* 0x00DA */ DEFINE_ACTOR(En_Bom_Chu, ACTOR_EN_BOM_CHU, ACTOROVL_ALLOC_NORMAL, "En_Bom_Chu")
/* 0x00DB */ DEFINE_ACTOR(En_Horse_Game_Check, ACTOR_EN_HORSE_GAME_CHECK, ACTOROVL_ALLOC_NORMAL, "En_Horse_Game_Check")
/* 0x00DC */ DEFINE_ACTOR(Boss_Tw, ACTOR_BOSS_TW, ACTOROVL_ALLOC_NORMAL, "Boss_Tw")
/* 0x00DD */ DEFINE_ACTOR(En_Rr, ACTOR_EN_RR, ACTOROVL_ALLOC_NORMAL, "En_Rr")
/* 0x00DE */ DEFINE_ACTOR(En_Ba, ACTOR_EN_BA, ACTOROVL_ALLOC_NORMAL, "En_Ba")
/* 0x00DF */ DEFINE_ACTOR(En_Bx, ACTOR_EN_BX, ACTOROVL_ALLOC_NORMAL, "En_Bx")
/* 0x00E0 */ DEFINE_ACTOR(En_Anubice, ACTOR_EN_ANUBICE, ACTOROVL_ALLOC_NORMAL, "En_Anubice")
/* 0x00E1 */ DEFINE_ACTOR(En_Anubice_Fire, ACTOR_EN_ANUBICE_FIRE, ACTOROVL_ALLOC_NORMAL, "En_Anubice_Fire")
/* 0x00E2 */ DEFINE_ACTOR(Bg_Mori_Hashigo, ACTOR_BG_MORI_HASHIGO, ACTOROVL_ALLOC_NORMAL, "Bg_Mori_Hashigo")
/* 0x00E3 */ DEFINE_ACTOR(Bg_Mori_Hashira4, ACTOR_BG_MORI_HASHIRA4, ACTOROVL_ALLOC_NORMAL, "Bg_Mori_Hashira4")
/* 0x00E4 */ DEFINE_ACTOR(Bg_Mori_Idomizu, ACTOR_BG_MORI_IDOMIZU, ACTOROVL_ALLOC_NORMAL, "Bg_Mori_Idomizu")
/* 0x00E5 */ DEFINE_ACTOR(Bg_Spot16_Doughnut, ACTOR_BG_SPOT16_DOUGHNUT, ACTOROVL_ALLOC_NORMAL, "Bg_Spot16_Doughnut")
/* 0x00E6 */ DEFINE_ACTOR(Bg_Bdan_Switch, ACTOR_BG_BDAN_SWITCH, ACTOROVL_ALLOC_NORMAL, "Bg_Bdan_Switch")
/* 0x00E7 */ DEFINE_ACTOR(En_Ma1, ACTOR_EN_MA1, ACTOROVL_ALLOC_NORMAL, "En_Ma1")
/* 0x00E8 */ DEFINE_ACTOR(Boss_Ganon, ACTOR_BOSS_GANON, ACTOROVL_ALLOC_NORMAL, "Boss_Ganon")
/* 0x00E9 */ DEFINE_ACTOR(Boss_Sst, ACTOR_BOSS_SST, ACTOROVL_ALLOC_NORMAL, "Boss_Sst")
/* 0x00EA */ DEFINE_ACTOR_UNSET(ACTOR_UNSET_EA)
/* 0x00EB */ DEFINE_ACTOR_UNSET(ACTOR_UNSET_EB)
/* 0x00EC */ DEFINE_ACTOR(En_Ny, ACTOR_EN_NY, ACTOROVL_ALLOC_NORMAL, "En_Ny")
/* 0x00ED */ DEFINE_ACTOR(En_Fr, ACTOR_EN_FR, ACTOROVL_ALLOC_NORMAL, "En_Fr")
/* 0x00EE */ DEFINE_ACTOR(Item_Shield, ACTOR_ITEM_SHIELD, ACTOROVL_ALLOC_NORMAL, "Item_Shield")
/* 0x00EF */ DEFINE_ACTOR(Bg_Ice_Shelter, ACTOR_BG_ICE_SHELTER, ACTOROVL_ALLOC_NORMAL, "Bg_Ice_Shelter")
/* 0x00F0 */ DEFINE_ACTOR(En_Ice_Hono, ACTOR_EN_ICE_HONO, ACTOROVL_ALLOC_NORMAL, "En_Ice_Hono")
/* 0x00F1 */ DEFINE_ACTOR(Item_Ocarina, ACTOR_ITEM_OCARINA, ACTOROVL_ALLOC_NORMAL, "Item_Ocarina")
/* 0x00F2 */ DEFINE_ACTOR_UNSET(ACTOR_UNSET_F2)
/* 0x00F3 */ DEFINE_ACTOR_UNSET(ACTOR_UNSET_F3)
/* 0x00F4 */ DEFINE_ACTOR(Magic_Dark, ACTOR_MAGIC_DARK, ACTOROVL_ALLOC_ABSOLUTE, "Magic_Dark")
/* 0x00F5 */ DEFINE_ACTOR(Demo_6K, ACTOR_DEMO_6K, ACTOROVL_ALLOC_NORMAL, "Demo_6K")
/* 0x00F6 */ DEFINE_ACTOR(En_Anubice_Tag, ACTOR_EN_ANUBICE_TAG, ACTOROVL_ALLOC_NORMAL, "En_Anubice_Tag")
/* 0x00F7 */ DEFINE_ACTOR(Bg_Haka_Gate, ACTOR_BG_HAKA_GATE, ACTOROVL_ALLOC_NORMAL, "Bg_Haka_Gate")
/* 0x00F8 */ DEFINE_ACTOR(Bg_Spot15_Saku, ACTOR_BG_SPOT15_SAKU, ACTOROVL_ALLOC_NORMAL, "Bg_Spot15_Saku")
/* 0x00F9 */ DEFINE_ACTOR(Bg_Jya_Goroiwa, ACTOR_BG_JYA_GOROIWA, ACTOROVL_ALLOC_NORMAL, "Bg_Jya_Goroiwa")
/* 0x00FA */ DEFINE_ACTOR(Bg_Jya_Zurerukabe, ACTOR_BG_JYA_ZURERUKABE, ACTOROVL_ALLOC_NORMAL, "Bg_Jya_Zurerukabe")
/* 0x00FB */ DEFINE_ACTOR_UNSET(ACTOR_UNSET_FB)
/* 0x00FC */ DEFINE_ACTOR(Bg_Jya_Cobra, ACTOR_BG_JYA_COBRA, ACTOROVL_ALLOC_NORMAL, "Bg_Jya_Cobra")
/* 0x00FD */ DEFINE_ACTOR(Bg_Jya_Kanaami, ACTOR_BG_JYA_KANAAMI, ACTOROVL_ALLOC_NORMAL, "Bg_Jya_Kanaami")
/* 0x00FE */ DEFINE_ACTOR(Fishing, ACTOR_FISHING, ACTOROVL_ALLOC_NORMAL, "Fishing")
/* 0x00FF */ DEFINE_ACTOR(Obj_Oshihiki, ACTOR_OBJ_OSHIHIKI, ACTOROVL_ALLOC_NORMAL, "Obj_Oshihiki")
/* 0x0100 */ DEFINE_ACTOR(Bg_Gate_Shutter, ACTOR_BG_GATE_SHUTTER, ACTOROVL_ALLOC_NORMAL, "Bg_Gate_Shutter")
/* 0x0101 */ DEFINE_ACTOR(Eff_Dust, ACTOR_EFF_DUST, ACTOROVL_ALLOC_NORMAL, "Eff_Dust")
/* 0x0102 */ DEFINE_ACTOR(Bg_Spot01_Fusya, ACTOR_BG_SPOT01_FUSYA, ACTOROVL_ALLOC_NORMAL, "Bg_Spot01_Fusya")
/* 0x0103 */ DEFINE_ACTOR(Bg_Spot01_Idohashira, ACTOR_BG_SPOT01_IDOHASHIRA, ACTOROVL_ALLOC_NORMAL, "Bg_Spot01_Idohashira")
/* 0x0104 */ DEFINE_ACTOR(Bg_Spot01_Idomizu, ACTOR_BG_SPOT01_IDOMIZU, ACTOROVL_ALLOC_NORMAL, "Bg_Spot01_Idomizu")
/* 0x0105 */ DEFINE_ACTOR(Bg_Po_Syokudai, ACTOR_BG_PO_SYOKUDAI, ACTOROVL_ALLOC_NORMAL, "Bg_Po_Syokudai")
/* 0x0106 */ DEFINE_ACTOR(Bg_Ganon_Otyuka, ACTOR_BG_GANON_OTYUKA, ACTOROVL_ALLOC_NORMAL, "Bg_Ganon_Otyuka")
/* 0x0107 */ DEFINE_ACTOR(Bg_Spot15_Rrbox, ACTOR_BG_SPOT15_RRBOX, ACTOROVL_ALLOC_NORMAL, "Bg_Spot15_Rrbox")
/* 0x0108 */ DEFINE_ACTOR(Bg_Umajump, ACTOR_BG_UMAJUMP, ACTOROVL_ALLOC_NORMAL, "Bg_Umajump")
/* 0x0109 */ DEFINE_ACTOR_UNSET(ACTOR_UNSET_109)
/* 0x010A */ DEFINE_ACTOR(Arrow_Fire, ACTOR_ARROW_FIRE, ACTOROVL_ALLOC_ABSOLUTE, "Arrow_Fire")
/* 0x010B */ DEFINE_ACTOR(Arrow_Ice, ACTOR_ARROW_ICE, ACTOROVL_ALLOC_ABSOLUTE, "Arrow_Ice")
/* 0x010C */ DEFINE_ACTOR(Arrow_Light, ACTOR_ARROW_LIGHT, ACTOROVL_ALLOC_ABSOLUTE, "Arrow_Light")
/* 0x010D */ DEFINE_ACTOR_UNSET(ACTOR_UNSET_10D)
/* 0x010E */ DEFINE_ACTOR_UNSET(ACTOR_UNSET_10E)
/* 0x010F */ DEFINE_ACTOR(Item_Etcetera, ACTOR_ITEM_ETCETERA, ACTOROVL_ALLOC_NORMAL, "Item_Etcetera")
/* 0x0110 */ DEFINE_ACTOR(Obj_Kibako, ACTOR_OBJ_KIBAKO, ACTOROVL_ALLOC_NORMAL, "Obj_Kibako")
/* 0x0111 */ DEFINE_ACTOR(Obj_Tsubo, ACTOR_OBJ_TSUBO, ACTOROVL_ALLOC_NORMAL, "Obj_Tsubo")
/* 0x0112 */ DEFINE_ACTOR(En_Wonder_Item, ACTOR_EN_WONDER_ITEM, ACTOROVL_ALLOC_NORMAL, "En_Wonder_Item")
/* 0x0113 */ DEFINE_ACTOR(En_Ik, ACTOR_EN_IK, ACTOROVL_ALLOC_NORMAL, "En_Ik")
/* 0x0114 */ DEFINE_ACTOR(Demo_Ik, ACTOR_DEMO_IK, ACTOROVL_ALLOC_NORMAL, "Demo_Ik")
/* 0x0115 */ DEFINE_ACTOR(En_Skj, ACTOR_EN_SKJ, ACTOROVL_ALLOC_NORMAL, "En_Skj")
/* 0x0116 */ DEFINE_ACTOR(En_Skjneedle, ACTOR_EN_SKJNEEDLE, ACTOROVL_ALLOC_NORMAL, "En_Skjneedle")
/* 0x0117 */ DEFINE_ACTOR(En_G_Switch, ACTOR_EN_G_SWITCH, ACTOROVL_ALLOC_NORMAL, "En_G_Switch")
/* 0x0118 */ DEFINE_ACTOR(Demo_Ext, ACTOR_DEMO_EXT, ACTOROVL_ALLOC_NORMAL, "Demo_Ext")
/* 0x0119 */ DEFINE_ACTOR(Demo_Shd, ACTOR_DEMO_SHD, ACTOROVL_ALLOC_NORMAL, "Demo_Shd")
/* 0x011A */ DEFINE_ACTOR(En_Dns, ACTOR_EN_DNS, ACTOROVL_ALLOC_NORMAL, "En_Dns")
/* 0x011B */ DEFINE_ACTOR(Elf_Msg, ACTOR_ELF_MSG, ACTOROVL_ALLOC_NORMAL, "Elf_Msg")
/* 0x011C */ DEFINE_ACTOR(En_Honotrap, ACTOR_EN_HONOTRAP, ACTOROVL_ALLOC_NORMAL, "En_Honotrap")
/* 0x011D */ DEFINE_ACTOR(En_Tubo_Trap, ACTOR_EN_TUBO_TRAP, ACTOROVL_ALLOC_NORMAL, "En_Tubo_Trap")
/* 0x011E */ DEFINE_ACTOR(Obj_Ice_Poly, ACTOR_OBJ_ICE_POLY, ACTOROVL_ALLOC_NORMAL, "Obj_Ice_Poly")
/* 0x011F */ DEFINE_ACTOR(Bg_Spot03_Taki, ACTOR_BG_SPOT03_TAKI, ACTOROVL_ALLOC_NORMAL, "Bg_Spot03_Taki")
/* 0x0120 */ DEFINE_ACTOR(Bg_Spot07_Taki, ACTOR_BG_SPOT07_TAKI, ACTOROVL_ALLOC_NORMAL, "Bg_Spot07_Taki")
/* 0x0121 */ DEFINE_ACTOR(En_Fz, ACTOR_EN_FZ, ACTOROVL_ALLOC_NORMAL, "En_Fz")
/* 0x0122 */ DEFINE_ACTOR(En_Po_Relay, ACTOR_EN_PO_RELAY, ACTOROVL_ALLOC_NORMAL, "En_Po_Relay")
/* 0x0123 */ DEFINE_ACTOR(Bg_Relay_Objects, ACTOR_BG_RELAY_OBJECTS, ACTOROVL_ALLOC_NORMAL, "Bg_Relay_Objects")
/* 0x0124 */ DEFINE_ACTOR(En_Diving_Game, ACTOR_EN_DIVING_GAME, ACTOROVL_ALLOC_NORMAL, "En_Diving_Game")
/* 0x0125 */ DEFINE_ACTOR(En_Kusa, ACTOR_EN_KUSA, ACTOROVL_ALLOC_NORMAL, "En_Kusa")
/* 0x0126 */ DEFINE_ACTOR(Obj_Bean, ACTOR_OBJ_BEAN, ACTOROVL_ALLOC_NORMAL, "Obj_Bean")
/* 0x0127 */ DEFINE_ACTOR(Obj_Bombiwa, ACTOR_OBJ_BOMBIWA, ACTOROVL_ALLOC_NORMAL, "Obj_Bombiwa")
/* 0x0128 */ DEFINE_ACTOR_UNSET(ACTOR_UNSET_128)
/* 0x0129 */ DEFINE_ACTOR_UNSET(ACTOR_UNSET_129)
/* 0x012A */ DEFINE_ACTOR(Obj_Switch, ACTOR_OBJ_SWITCH, ACTOROVL_ALLOC_NORMAL, "Obj_Switch")
/* 0x012B */ DEFINE_ACTOR(Obj_Elevator, ACTOR_OBJ_ELEVATOR, ACTOROVL_ALLOC_NORMAL, "Obj_Elevator")
/* 0x012C */ DEFINE_ACTOR(Obj_Lift, ACTOR_OBJ_LIFT, ACTOROVL_ALLOC_NORMAL, "Obj_Lift")
/* 0x012D */ DEFINE_ACTOR(Obj_Hsblock, ACTOR_OBJ_HSBLOCK, ACTOROVL_ALLOC_NORMAL, "Obj_Hsblock")
/* 0x012E */ DEFINE_ACTOR(En_Okarina_Tag, ACTOR_EN_OKARINA_TAG, ACTOROVL_ALLOC_NORMAL, "En_Okarina_Tag")
/* 0x012F */ DEFINE_ACTOR(En_Yabusame_Mark, ACTOR_EN_YABUSAME_MARK, ACTOROVL_ALLOC_NORMAL, "En_Yabusame_Mark")
/* 0x0130 */ DEFINE_ACTOR(En_Goroiwa, ACTOR_EN_GOROIWA, ACTOROVL_ALLOC_NORMAL, "En_Goroiwa")
/* 0x0131 */ DEFINE_ACTOR(En_Ex_Ruppy, ACTOR_EN_EX_RUPPY, ACTOROVL_ALLOC_NORMAL, "En_Ex_Ruppy")
/* 0x0132 */ DEFINE_ACTOR(En_Toryo, ACTOR_EN_TORYO, ACTOROVL_ALLOC_NORMAL, "En_Toryo")
/* 0x0133 */ DEFINE_ACTOR(En_Daiku, ACTOR_EN_DAIKU, ACTOROVL_ALLOC_NORMAL, "En_Daiku")
/* 0x0134 */ DEFINE_ACTOR_UNSET(ACTOR_UNSET_134)
/* 0x0135 */ DEFINE_ACTOR(En_Nwc, ACTOR_EN_NWC, ACTOROVL_ALLOC_NORMAL, "En_Nwc")
/* 0x0136 */ DEFINE_ACTOR(En_Blkobj, ACTOR_EN_BLKOBJ, ACTOROVL_ALLOC_NORMAL, "En_Blkobj")
/* 0x0137 */ DEFINE_ACTOR(Item_Inbox, ACTOR_ITEM_INBOX, ACTOROVL_ALLOC_NORMAL, "Item_Inbox")
/* 0x0138 */ DEFINE_ACTOR(En_Ge1, ACTOR_EN_GE1, ACTOROVL_ALLOC_NORMAL, "En_Ge1")
/* 0x0139 */ DEFINE_ACTOR(Obj_Blockstop, ACTOR_OBJ_BLOCKSTOP, ACTOROVL_ALLOC_NORMAL, "Obj_Blockstop")
/* 0x013A */ DEFINE_ACTOR(En_Sda, ACTOR_EN_SDA, ACTOROVL_ALLOC_NORMAL, "En_Sda")
/* 0x013B */ DEFINE_ACTOR(En_Clear_Tag, ACTOR_EN_CLEAR_TAG, ACTOROVL_ALLOC_NORMAL, "En_Clear_Tag")
/* 0x013C */ DEFINE_ACTOR(En_Niw_Lady, ACTOR_EN_NIW_LADY, ACTOROVL_ALLOC_NORMAL, "En_Niw_Lady")
/* 0x013D */ DEFINE_ACTOR(En_Gm, ACTOR_EN_GM, ACTOROVL_ALLOC_NORMAL, "En_Gm")
/* 0x013E */ DEFINE_ACTOR(En_Ms, ACTOR_EN_MS, ACTOROVL_ALLOC_NORMAL, "En_Ms")
/* 0x013F */ DEFINE_ACTOR(En_Hs, ACTOR_EN_HS, ACTOROVL_ALLOC_NORMAL, "En_Hs")
/* 0x0140 */ DEFINE_ACTOR(Bg_Ingate, ACTOR_BG_INGATE, ACTOROVL_ALLOC_NORMAL, "Bg_Ingate")
/* 0x0141 */ DEFINE_ACTOR(En_Kanban, ACTOR_EN_KANBAN, ACTOROVL_ALLOC_NORMAL, "En_Kanban")
/* 0x0142 */ DEFINE_ACTOR(En_Heishi3, ACTOR_EN_HEISHI3, ACTOROVL_ALLOC_NORMAL, "En_Heishi3")
/* 0x0143 */ DEFINE_ACTOR(En_Syateki_Niw, ACTOR_EN_SYATEKI_NIW, ACTOROVL_ALLOC_NORMAL, "En_Syateki_Niw")
/* 0x0144 */ DEFINE_ACTOR(En_Attack_Niw, ACTOR_EN_ATTACK_NIW, ACTOROVL_ALLOC_NORMAL, "En_Attack_Niw")
/* 0x0145 */ DEFINE_ACTOR(Bg_Spot01_Idosoko, ACTOR_BG_SPOT01_IDOSOKO, ACTOROVL_ALLOC_NORMAL, "Bg_Spot01_Idosoko")
/* 0x0146 */ DEFINE_ACTOR(En_Sa, ACTOR_EN_SA, ACTOROVL_ALLOC_NORMAL, "En_Sa")
/* 0x0147 */ DEFINE_ACTOR(En_Wonder_Talk, ACTOR_EN_WONDER_TALK, ACTOROVL_ALLOC_NORMAL, "En_Wonder_Talk")
/* 0x0148 */ DEFINE_ACTOR(Bg_Gjyo_Bridge, ACTOR_BG_GJYO_BRIDGE, ACTOROVL_ALLOC_NORMAL, "Bg_Gjyo_Bridge")
/* 0x0149 */ DEFINE_ACTOR(En_Ds, ACTOR_EN_DS, ACTOROVL_ALLOC_NORMAL, "En_Ds")
/* 0x014A */ DEFINE_ACTOR(En_Mk, ACTOR_EN_MK, ACTOROVL_ALLOC_NORMAL, "En_Mk")
/* 0x014B */ DEFINE_ACTOR(En_Bom_Bowl_Man, ACTOR_EN_BOM_BOWL_MAN, ACTOROVL_ALLOC_NORMAL, "En_Bom_Bowl_Man")
/* 0x014C */ DEFINE_ACTOR(En_Bom_Bowl_Pit, ACTOR_EN_BOM_BOWL_PIT, ACTOROVL_ALLOC_NORMAL, "En_Bom_Bowl_Pit")
/* 0x014D */ DEFINE_ACTOR(En_Owl, ACTOR_EN_OWL, ACTOROVL_ALLOC_NORMAL, "En_Owl")
/* 0x014E */ DEFINE_ACTOR(En_Ishi, ACTOR_EN_ISHI, ACTOROVL_ALLOC_NORMAL, "En_Ishi")
/* 0x014F */ DEFINE_ACTOR(Obj_Hana, ACTOR_OBJ_HANA, ACTOROVL_ALLOC_NORMAL, "Obj_Hana")
/* 0x0150 */ DEFINE_ACTOR(Obj_Lightswitch, ACTOR_OBJ_LIGHTSWITCH, ACTOROVL_ALLOC_NORMAL, "Obj_Lightswitch")
/* 0x0151 */ DEFINE_ACTOR(Obj_Mure2, ACTOR_OBJ_MURE2, ACTOROVL_ALLOC_NORMAL, "Obj_Mure2")
/* 0x0152 */ DEFINE_ACTOR(En_Go, ACTOR_EN_GO, ACTOROVL_ALLOC_NORMAL, "En_Go")
/* 0x0153 */ DEFINE_ACTOR(En_Fu, ACTOR_EN_FU, ACTOROVL_ALLOC_NORMAL, "En_Fu")
/* 0x0154 */ DEFINE_ACTOR_UNSET(ACTOR_UNSET_154)
/* 0x0155 */ DEFINE_ACTOR(En_Changer, ACTOR_EN_CHANGER, ACTOROVL_ALLOC_NORMAL, "En_Changer")
/* 0x0156 */ DEFINE_ACTOR(Bg_Jya_Megami, ACTOR_BG_JYA_MEGAMI, ACTOROVL_ALLOC_NORMAL, "Bg_Jya_Megami")
/* 0x0157 */ DEFINE_ACTOR(Bg_Jya_Lift, ACTOR_BG_JYA_LIFT, ACTOROVL_ALLOC_NORMAL, "Bg_Jya_Lift")
/* 0x0158 */ DEFINE_ACTOR(Bg_Jya_Bigmirror, ACTOR_BG_JYA_BIGMIRROR, ACTOROVL_ALLOC_NORMAL, "Bg_Jya_Bigmirror")
/* 0x0159 */ DEFINE_ACTOR(Bg_Jya_Bombchuiwa, ACTOR_BG_JYA_BOMBCHUIWA, ACTOROVL_ALLOC_NORMAL, "Bg_Jya_Bombchuiwa")
/* 0x015A */ DEFINE_ACTOR(Bg_Jya_Amishutter, ACTOR_BG_JYA_AMISHUTTER, ACTOROVL_ALLOC_NORMAL, "Bg_Jya_Amishutter")
/* 0x015B */ DEFINE_ACTOR(Bg_Jya_Bombiwa, ACTOR_BG_JYA_BOMBIWA, ACTOROVL_ALLOC_NORMAL, "Bg_Jya_Bombiwa")
/* 0x015C */ DEFINE_ACTOR(Bg_Spot18_Basket, ACTOR_BG_SPOT18_BASKET, ACTOROVL_ALLOC_NORMAL, "Bg_Spot18_Basket")
/* 0x015D */ DEFINE_ACTOR_UNSET(ACTOR_UNSET_15D)
/* 0x015E */ DEFINE_ACTOR(En_Ganon_Organ, ACTOR_EN_GANON_ORGAN, ACTOROVL_ALLOC_NORMAL, "En_Ganon_Organ")
/* 0x015F */ DEFINE_ACTOR(En_Siofuki, ACTOR_EN_SIOFUKI, ACTOROVL_ALLOC_NORMAL, "En_Siofuki")
/* 0x0160 */ DEFINE_ACTOR(En_Stream, ACTOR_EN_STREAM, ACTOROVL_ALLOC_NORMAL, "En_Stream")
/* 0x0161 */ DEFINE_ACTOR_UNSET(ACTOR_UNSET_161)
/* 0x0162 */ DEFINE_ACTOR(En_Mm, ACTOR_EN_MM, ACTOROVL_ALLOC_NORMAL, "En_Mm")
/* 0x0163 */ DEFINE_ACTOR(En_Ko, ACTOR_EN_KO, ACTOROVL_ALLOC_NORMAL, "En_Ko")
/* 0x0164 */ DEFINE_ACTOR(En_Kz, ACTOR_EN_KZ, ACTOROVL_ALLOC_NORMAL, "En_Kz")
/* 0x0165 */ DEFINE_ACTOR(En_Weather_Tag, ACTOR_EN_WEATHER_TAG, ACTOROVL_ALLOC_NORMAL, "En_Weather_Tag")
/* 0x0166 */ DEFINE_ACTOR(Bg_Sst_Floor, ACTOR_BG_SST_FLOOR, ACTOROVL_ALLOC_NORMAL, "Bg_Sst_Floor")
/* 0x0167 */ DEFINE_ACTOR(En_Ani, ACTOR_EN_ANI, ACTOROVL_ALLOC_NORMAL, "En_Ani")
/* 0x0168 */ DEFINE_ACTOR(En_Ex_Item, ACTOR_EN_EX_ITEM, ACTOROVL_ALLOC_NORMAL, "En_Ex_Item")
/* 0x0169 */ DEFINE_ACTOR(Bg_Jya_Ironobj, ACTOR_BG_JYA_IRONOBJ, ACTOROVL_ALLOC_NORMAL, "Bg_Jya_Ironobj")
/* 0x016A */ DEFINE_ACTOR(En_Js, ACTOR_EN_JS, ACTOROVL_ALLOC_NORMAL, "En_Js")
/* 0x016B */ DEFINE_ACTOR(En_Jsjutan, ACTOR_EN_JSJUTAN, ACTOROVL_ALLOC_NORMAL, "En_Jsjutan")
/* 0x016C */ DEFINE_ACTOR(En_Cs, ACTOR_EN_CS, ACTOROVL_ALLOC_NORMAL, "En_Cs")
/* 0x016D */ DEFINE_ACTOR(En_Md, ACTOR_EN_MD, ACTOROVL_ALLOC_NORMAL, "En_Md")
/* 0x016E */ DEFINE_ACTOR(En_Hy, ACTOR_EN_HY, ACTOROVL_ALLOC_NORMAL, "En_Hy")
/* 0x016F */ DEFINE_ACTOR(En_Ganon_Mant, ACTOR_EN_GANON_MANT, ACTOROVL_ALLOC_NORMAL, "En_Ganon_Mant")
/* 0x0170 */ DEFINE_ACTOR(En_Okarina_Effect, ACTOR_EN_OKARINA_EFFECT, ACTOROVL_ALLOC_NORMAL, "En_Okarina_Effect")
/* 0x0171 */ DEFINE_ACTOR(En_Mag, ACTOR_EN_MAG, ACTOROVL_ALLOC_NORMAL, "En_Mag")
/* 0x0172 */ DEFINE_ACTOR(Door_Gerudo, ACTOR_DOOR_GERUDO, ACTOROVL_ALLOC_NORMAL, "Door_Gerudo")
/* 0x0173 */ DEFINE_ACTOR(Elf_Msg2, ACTOR_ELF_MSG2, ACTOROVL_ALLOC_NORMAL, "Elf_Msg2")
/* 0x0174 */ DEFINE_ACTOR(Demo_Gt, ACTOR_DEMO_GT, ACTOROVL_ALLOC_NORMAL, "Demo_Gt")
/* 0x0175 */ DEFINE_ACTOR(En_Po_Field, ACTOR_EN_PO_FIELD, ACTOROVL_ALLOC_NORMAL, "En_Po_Field")
/* 0x0176 */ DEFINE_ACTOR(Efc_Erupc, ACTOR_EFC_ERUPC, ACTOROVL_ALLOC_NORMAL, "Efc_Erupc")
/* 0x0177 */ DEFINE_ACTOR(Bg_Zg, ACTOR_BG_ZG, ACTOROVL_ALLOC_NORMAL, "Bg_Zg")
/* 0x0178 */ DEFINE_ACTOR(En_Heishi4, ACTOR_EN_HEISHI4, ACTOROVL_ALLOC_NORMAL, "En_Heishi4")
/* 0x0179 */ DEFINE_ACTOR(En_Zl3, ACTOR_EN_ZL3, ACTOROVL_ALLOC_NORMAL, "En_Zl3")
/* 0x017A */ DEFINE_ACTOR(Boss_Ganon2, ACTOR_BOSS_GANON2, ACTOROVL_ALLOC_NORMAL, "Boss_Ganon2")
/* 0x017B */ DEFINE_ACTOR(En_Kakasi, ACTOR_EN_KAKASI, ACTOROVL_ALLOC_NORMAL, "En_Kakasi")
/* 0x017C */ DEFINE_ACTOR(En_Takara_Man, ACTOR_EN_TAKARA_MAN, ACTOROVL_ALLOC_NORMAL, "En_Takara_Man")
/* 0x017D */ DEFINE_ACTOR(Obj_Makeoshihiki, ACTOR_OBJ_MAKEOSHIHIKI, ACTOROVL_ALLOC_NORMAL, "Obj_Makeoshihiki")
/* 0x017E */ DEFINE_ACTOR(Oceff_Spot, ACTOR_OCEFF_SPOT, ACTOROVL_ALLOC_ABSOLUTE, "Oceff_Spot")
/* 0x017F */ DEFINE_ACTOR(End_Title, ACTOR_END_TITLE, ACTOROVL_ALLOC_NORMAL, "End_Title")
/* 0x0180 */ DEFINE_ACTOR_UNSET(ACTOR_UNSET_180)
/* 0x0181 */ DEFINE_ACTOR(En_Torch, ACTOR_EN_TORCH, ACTOROVL_ALLOC_NORMAL, "En_Torch")
/* 0x0182 */ DEFINE_ACTOR(Demo_Ec, ACTOR_DEMO_EC, ACTOROVL_ALLOC_NORMAL, "Demo_Ec")
/* 0x0183 */ DEFINE_ACTOR(Shot_Sun, ACTOR_SHOT_SUN, ACTOROVL_ALLOC_NORMAL, "Shot_Sun")
/* 0x0184 */ DEFINE_ACTOR(En_Dy_Extra, ACTOR_EN_DY_EXTRA, ACTOROVL_ALLOC_NORMAL, "En_Dy_Extra")
/* 0x0185 */ DEFINE_ACTOR(En_Wonder_Talk2, ACTOR_EN_WONDER_TALK2, ACTOROVL_ALLOC_NORMAL, "En_Wonder_Talk2")
/* 0x0186 */ DEFINE_ACTOR(En_Ge2, ACTOR_EN_GE2, ACTOROVL_ALLOC_NORMAL, "En_Ge2")
/* 0x0187 */ DEFINE_ACTOR(Obj_Roomtimer, ACTOR_OBJ_ROOMTIMER, ACTOROVL_ALLOC_NORMAL, "Obj_Roomtimer")
/* 0x0188 */ DEFINE_ACTOR(En_Ssh, ACTOR_EN_SSH, ACTOROVL_ALLOC_NORMAL, "En_Ssh")
/* 0x0189 */ DEFINE_ACTOR(En_Sth, ACTOR_EN_STH, ACTOROVL_ALLOC_NORMAL, "En_Sth")
/* 0x018A */ DEFINE_ACTOR(Oceff_Wipe, ACTOR_OCEFF_WIPE, ACTOROVL_ALLOC_ABSOLUTE, "Oceff_Wipe")
/* 0x018B */ DEFINE_ACTOR(Oceff_Storm, ACTOR_OCEFF_STORM, ACTOROVL_ALLOC_ABSOLUTE, "Oceff_Storm")
/* 0x018C */ DEFINE_ACTOR(En_Weiyer, ACTOR_EN_WEIYER, ACTOROVL_ALLOC_NORMAL, "En_Weiyer")
/* 0x018D */ DEFINE_ACTOR(Bg_Spot05_Soko, ACTOR_BG_SPOT05_SOKO, ACTOROVL_ALLOC_NORMAL, "Bg_Spot05_Soko")
/* 0x018E */ DEFINE_ACTOR(Bg_Jya_1flift, ACTOR_BG_JYA_1FLIFT, ACTOROVL_ALLOC_NORMAL, "Bg_Jya_1flift")
/* 0x018F */ DEFINE_ACTOR(Bg_Jya_Haheniron, ACTOR_BG_JYA_HAHENIRON, ACTOROVL_ALLOC_NORMAL, "Bg_Jya_Haheniron")
/* 0x0190 */ DEFINE_ACTOR(Bg_Spot12_Gate, ACTOR_BG_SPOT12_GATE, ACTOROVL_ALLOC_NORMAL, "Bg_Spot12_Gate")
/* 0x0191 */ DEFINE_ACTOR(Bg_Spot12_Saku, ACTOR_BG_SPOT12_SAKU, ACTOROVL_ALLOC_NORMAL, "Bg_Spot12_Saku")
/* 0x0192 */ DEFINE_ACTOR(En_Hintnuts, ACTOR_EN_HINTNUTS, ACTOROVL_ALLOC_NORMAL, "En_Hintnuts")
/* 0x0193 */ DEFINE_ACTOR(En_Nutsball, ACTOR_EN_NUTSBALL, ACTOROVL_ALLOC_NORMAL, "En_Nutsball")
/* 0x0194 */ DEFINE_ACTOR(Bg_Spot00_Break, ACTOR_BG_SPOT00_BREAK, ACTOROVL_ALLOC_NORMAL, "Bg_Spot00_Break")
/* 0x0195 */ DEFINE_ACTOR(En_Shopnuts, ACTOR_EN_SHOPNUTS, ACTOROVL_ALLOC_NORMAL, "En_Shopnuts")
/* 0x0196 */ DEFINE_ACTOR(En_It, ACTOR_EN_IT, ACTOROVL_ALLOC_NORMAL, "En_It")
/* 0x0197 */ DEFINE_ACTOR(En_GeldB, ACTOR_EN_GELDB, ACTOROVL_ALLOC_NORMAL, "En_GeldB")
/* 0x0198 */ DEFINE_ACTOR(Oceff_Wipe2, ACTOR_OCEFF_WIPE2, ACTOROVL_ALLOC_ABSOLUTE, "Oceff_Wipe2")
/* 0x0199 */ DEFINE_ACTOR(Oceff_Wipe3, ACTOR_OCEFF_WIPE3, ACTOROVL_ALLOC_ABSOLUTE, "Oceff_Wipe3")
/* 0x019A */ DEFINE_ACTOR(En_Niw_Girl, ACTOR_EN_NIW_GIRL, ACTOROVL_ALLOC_NORMAL, "En_Niw_Girl")
/* 0x019B */ DEFINE_ACTOR(En_Dog, ACTOR_EN_DOG, ACTOROVL_ALLOC_NORMAL, "En_Dog")
/* 0x019C */ DEFINE_ACTOR(En_Si, ACTOR_EN_SI, ACTOROVL_ALLOC_NORMAL, "En_Si")
/* 0x019D */ DEFINE_ACTOR(Bg_Spot01_Objects2, ACTOR_BG_SPOT01_OBJECTS2, ACTOROVL_ALLOC_NORMAL, "Bg_Spot01_Objects2")
/* 0x019E */ DEFINE_ACTOR(Obj_Comb, ACTOR_OBJ_COMB, ACTOROVL_ALLOC_NORMAL, "Obj_Comb")
/* 0x019F */ DEFINE_ACTOR(Bg_Spot11_Bakudankabe, ACTOR_BG_SPOT11_BAKUDANKABE, ACTOROVL_ALLOC_NORMAL, "Bg_Spot11_Bakudankabe")
/* 0x01A0 */ DEFINE_ACTOR(Obj_Kibako2, ACTOR_OBJ_KIBAKO2, ACTOROVL_ALLOC_NORMAL, "Obj_Kibako2")
/* 0x01A1 */ DEFINE_ACTOR(En_Dnt_Demo, ACTOR_EN_DNT_DEMO, ACTOROVL_ALLOC_NORMAL, "En_Dnt_Demo")
/* 0x01A2 */ DEFINE_ACTOR(En_Dnt_Jiji, ACTOR_EN_DNT_JIJI, ACTOROVL_ALLOC_NORMAL, "En_Dnt_Jiji")
/* 0x01A3 */ DEFINE_ACTOR(En_Dnt_Nomal, ACTOR_EN_DNT_NOMAL, ACTOROVL_ALLOC_NORMAL, "En_Dnt_Nomal")
/* 0x01A4 */ DEFINE_ACTOR(En_Guest, ACTOR_EN_GUEST, ACTOROVL_ALLOC_NORMAL, "En_Guest")
/* 0x01A5 */ DEFINE_ACTOR(Bg_Bom_Guard, ACTOR_BG_BOM_GUARD, ACTOROVL_ALLOC_NORMAL, "Bg_Bom_Guard")
/* 0x01A6 */ DEFINE_ACTOR(En_Hs2, ACTOR_EN_HS2, ACTOROVL_ALLOC_NORMAL, "En_Hs2")
/* 0x01A7 */ DEFINE_ACTOR(Demo_Kekkai, ACTOR_DEMO_KEKKAI, ACTOROVL_ALLOC_NORMAL, "Demo_Kekkai")
/* 0x01A8 */ DEFINE_ACTOR(Bg_Spot08_Bakudankabe, ACTOR_BG_SPOT08_BAKUDANKABE, ACTOROVL_ALLOC_NORMAL, "Bg_Spot08_Bakudankabe")
/* 0x01A9 */ DEFINE_ACTOR(Bg_Spot17_Bakudankabe, ACTOR_BG_SPOT17_BAKUDANKABE, ACTOROVL_ALLOC_NORMAL, "Bg_Spot17_Bakudankabe")
/* 0x01AA */ DEFINE_ACTOR_UNSET(ACTOR_UNSET_1AA)
/* 0x01AB */ DEFINE_ACTOR(Obj_Mure3, ACTOR_OBJ_MURE3, ACTOROVL_ALLOC_NORMAL, "Obj_Mure3")
/* 0x01AC */ DEFINE_ACTOR(En_Tg, ACTOR_EN_TG, ACTOROVL_ALLOC_NORMAL, "En_Tg")
/* 0x01AD */ DEFINE_ACTOR(En_Mu, ACTOR_EN_MU, ACTOROVL_ALLOC_NORMAL, "En_Mu")
/* 0x01AE */ DEFINE_ACTOR(En_Go2, ACTOR_EN_GO2, ACTOROVL_ALLOC_NORMAL, "En_Go2")
/* 0x01AF */ DEFINE_ACTOR(En_Wf, ACTOR_EN_WF, ACTOROVL_ALLOC_NORMAL, "En_Wf")
/* 0x01B0 */ DEFINE_ACTOR(En_Skb, ACTOR_EN_SKB, ACTOROVL_ALLOC_NORMAL, "En_Skb")
/* 0x01B1 */ DEFINE_ACTOR(Demo_Gj, ACTOR_DEMO_GJ, ACTOROVL_ALLOC_NORMAL, "Demo_Gj")
/* 0x01B2 */ DEFINE_ACTOR(Demo_Geff, ACTOR_DEMO_GEFF, ACTOROVL_ALLOC_NORMAL, "Demo_Geff")
/* 0x01B3 */ DEFINE_ACTOR(Bg_Gnd_Firemeiro, ACTOR_BG_GND_FIREMEIRO, ACTOROVL_ALLOC_NORMAL, "Bg_Gnd_Firemeiro")
/* 0x01B4 */ DEFINE_ACTOR(Bg_Gnd_Darkmeiro, ACTOR_BG_GND_DARKMEIRO, ACTOROVL_ALLOC_NORMAL, "Bg_Gnd_Darkmeiro")
/* 0x01B5 */ DEFINE_ACTOR(Bg_Gnd_Soulmeiro, ACTOR_BG_GND_SOULMEIRO, ACTOROVL_ALLOC_NORMAL, "Bg_Gnd_Soulmeiro")
/* 0x01B6 */ DEFINE_ACTOR(Bg_Gnd_Nisekabe, ACTOR_BG_GND_NISEKABE, ACTOROVL_ALLOC_NORMAL, "Bg_Gnd_Nisekabe")
/* 0x01B7 */ DEFINE_ACTOR(Bg_Gnd_Iceblock, ACTOR_BG_GND_ICEBLOCK, ACTOROVL_ALLOC_NORMAL, "Bg_Gnd_Iceblock")
/* 0x01B8 */ DEFINE_ACTOR(En_Gb, ACTOR_EN_GB, ACTOROVL_ALLOC_NORMAL, "En_Gb")
/* 0x01B9 */ DEFINE_ACTOR(En_Gs, ACTOR_EN_GS, ACTOROVL_ALLOC_NORMAL, "En_Gs")
/* 0x01BA */ DEFINE_ACTOR(Bg_Mizu_Bwall, ACTOR_BG_MIZU_BWALL, ACTOROVL_ALLOC_NORMAL, "Bg_Mizu_Bwall")
/* 0x01BB */ DEFINE_ACTOR(Bg_Mizu_Shutter, ACTOR_BG_MIZU_SHUTTER, ACTOROVL_ALLOC_NORMAL, "Bg_Mizu_Shutter")
/* 0x01BC */ DEFINE_ACTOR(En_Daiku_Kakariko, ACTOR_EN_DAIKU_KAKARIKO, ACTOROVL_ALLOC_NORMAL, "En_Daiku_Kakariko")
/* 0x01BD */ DEFINE_ACTOR(Bg_Bowl_Wall, ACTOR_BG_BOWL_WALL, ACTOROVL_ALLOC_NORMAL, "Bg_Bowl_Wall")
/* 0x01BE */ DEFINE_ACTOR(En_Wall_Tubo, ACTOR_EN_WALL_TUBO, ACTOROVL_ALLOC_NORMAL, "En_Wall_Tubo")
/* 0x01BF */ DEFINE_ACTOR(En_Po_Desert, ACTOR_EN_PO_DESERT, ACTOROVL_ALLOC_NORMAL, "En_Po_Desert")
/* 0x01C0 */ DEFINE_ACTOR(En_Crow, ACTOR_EN_CROW, ACTOROVL_ALLOC_NORMAL, "En_Crow")
/* 0x01C1 */ DEFINE_ACTOR(Door_Killer, ACTOR_DOOR_KILLER, ACTOROVL_ALLOC_NORMAL, "Door_Killer")
/* 0x01C2 */ DEFINE_ACTOR(Bg_Spot11_Oasis, ACTOR_BG_SPOT11_OASIS, ACTOROVL_ALLOC_NORMAL, "Bg_Spot11_Oasis")
/* 0x01C3 */ DEFINE_ACTOR(Bg_Spot18_Futa, ACTOR_BG_SPOT18_FUTA, ACTOROVL_ALLOC_NORMAL, "Bg_Spot18_Futa")
/* 0x01C4 */ DEFINE_ACTOR(Bg_Spot18_Shutter, ACTOR_BG_SPOT18_SHUTTER, ACTOROVL_ALLOC_NORMAL, "Bg_Spot18_Shutter")
/* 0x01C5 */ DEFINE_ACTOR(En_Ma3, ACTOR_EN_MA3, ACTOROVL_ALLOC_NORMAL, "En_Ma3")
/* 0x01C6 */ DEFINE_ACTOR(En_Cow, ACTOR_EN_COW, ACTOROVL_ALLOC_NORMAL, "En_Cow")
/* 0x01C7 */ DEFINE_ACTOR(Bg_Ice_Turara, ACTOR_BG_ICE_TURARA, ACTOROVL_ALLOC_NORMAL, "Bg_Ice_Turara")
/* 0x01C8 */ DEFINE_ACTOR(Bg_Ice_Shutter, ACTOR_BG_ICE_SHUTTER, ACTOROVL_ALLOC_NORMAL, "Bg_Ice_Shutter")
/* 0x01C9 */ DEFINE_ACTOR(En_Kakasi2, ACTOR_EN_KAKASI2, ACTOROVL_ALLOC_NORMAL, "En_Kakasi2")
/* 0x01CA */ DEFINE_ACTOR(En_Kakasi3, ACTOR_EN_KAKASI3, ACTOROVL_ALLOC_NORMAL, "En_Kakasi3")
/* 0x01CB */ DEFINE_ACTOR(Oceff_Wipe4, ACTOR_OCEFF_WIPE4, ACTOROVL_ALLOC_ABSOLUTE, "Oceff_Wipe4")
/* 0x01CC */ DEFINE_ACTOR(En_Eg, ACTOR_EN_EG, ACTOROVL_ALLOC_NORMAL, "En_Eg")
/* 0x01CD */ DEFINE_ACTOR(Bg_Menkuri_Nisekabe, ACTOR_BG_MENKURI_NISEKABE, ACTOROVL_ALLOC_NORMAL, "Bg_Menkuri_Nisekabe")
/* 0x01CE */ DEFINE_ACTOR(En_Zo, ACTOR_EN_ZO, ACTOROVL_ALLOC_NORMAL, "En_Zo")
/* 0x01CF */ DEFINE_ACTOR(Obj_Makekinsuta, ACTOR_OBJ_MAKEKINSUTA, ACTOROVL_ALLOC_NORMAL, "Obj_Makekinsuta")
/* 0x01D0 */ DEFINE_ACTOR(En_Ge3, ACTOR_EN_GE3, ACTOROVL_ALLOC_NORMAL, "En_Ge3")
/* 0x01D1 */ DEFINE_ACTOR(Obj_Timeblock, ACTOR_OBJ_TIMEBLOCK, ACTOROVL_ALLOC_NORMAL, "Obj_Timeblock")
/* 0x01D2 */ DEFINE_ACTOR(Obj_Hamishi, ACTOR_OBJ_HAMISHI, ACTOROVL_ALLOC_NORMAL, "Obj_Hamishi")
/* 0x01D3 */ DEFINE_ACTOR(En_Zl4, ACTOR_EN_ZL4, ACTOROVL_ALLOC_NORMAL, "En_Zl4")
/* 0x01D4 */ DEFINE_ACTOR(En_Mm2, ACTOR_EN_MM2, ACTOROVL_ALLOC_NORMAL, "En_Mm2")
/* 0x01D5 */ DEFINE_ACTOR(Bg_Jya_Block, ACTOR_BG_JYA_BLOCK, ACTOROVL_ALLOC_NORMAL, "Bg_Jya_Block")
/* 0x01D6 */ DEFINE_ACTOR(Obj_Warp2block, ACTOR_OBJ_WARP2BLOCK, ACTOROVL_ALLOC_NORMAL, "Obj_Warp2block")
